Skip to content

Prize events

GET
/v1/prizes
curl --request GET \
--url https://api.tako.wtf/v1/prizes
before
string
/^\d+$/

Return items older than this lt, from the last item of the previous page

limit
integer
>= 1 <= 200

Page size, 1–200, default 50

OK

Media typeapplication/json
Array<object>
object
name
required

Event name, for example deposit, prize or loan_funded

string
account
required

Contract that logged the event

string
owner
required
Any of:

User-friendly address

string
tx
required

Transaction hash, hex

string
lt
required

Logical time of the transaction, the paging cursor

string
/^\d+$/
at
required

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
data
required

Decoded event fields; amounts are nanoGram strings

object
key
additional properties

Example generated

[
{
"name": "example",
"account": "example",
"owner": "example",
"tx": "example",
"lt": "example",
"at": 1,
"data": {
"additionalProperty": "example"
}
}
]

Invalid parameter

Media typeapplication/json
object
error
required
string

Example generated

{
"error": "example"
}